%define docver 1.3.0

%define major 2
%define libname %mklibname cddb %{major}
%define develname %mklibname cddb -d
%define staticdevelname %mklibname cddb -d -s

%define bootstrap 0
%{?_with_bootstrap: %global bootstrap 1}

Name: libcddb
Version: 1.3.2
Release: %mkrel 4
License: LGPLv2+
Group: System/Libraries
URL: http://libcddb.sourceforge.net/
Source: http://prdownloads.sourceforge.net/libcddb/%name-%version.tar.xz
Source1: http://prdownloads.sourceforge.net/libcddb/%name-doc-%docver.tar.xz
Summary: CDDB access library
%if !%{bootstrap}
BuildRequires: libcdio-devel
%endif
#auto* deps
#BuildRequires: gettext-devel
#BuildRequires: automake1.8

%description 
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

%package -n %{libname}
Summary: Libraries from %name
Group: System/Libraries

%description -n %{libname}
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

%package -n %{develname}
Summary: Devel files from libcddb
Group: Development/Libraries
Requires: %{libname} = %version
Provides: %{name}-devel = %version-%release
Obsoletes: %{_lib}cddb2-devel

%description -n %{develname}
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

This is the libraries, include files and other resources you can use
to incorporate libcddb into applications.

%package -n %{staticdevelname}
Summary: Static Library for developing applications with %name
Group: Development/Libraries
Requires: %{develname} = %version
Provides: %{name}-static-devel = %version-%release
Obsoletes: %{_lib}cddb2-static-devel

%description -n %{staticdevelname}
This contains the static library of %name needed for building apps that
link statically to %name.

%package apps
Summary: Example applications based on %name
Group: Sound

%description apps
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

This package contains a command line client based on %name.

%prep
%setup -q -a 1
mv output html

%build
%configure2_5x
%make

%install
%makeinstall_std

#drop
rm -rf %buildroot/%_libdir/*.la


%files apps
%_bindir/*

%files -n %{libname}
%_libdir/*.so.%{major}*

%files -n %{develname}
%doc ChangeLog README AUTHORS NEWS TODO html
%_includedir/cddb
%_libdir/*.so
%_libdir/pkgconfig/*.pc

%files -n %{staticdevelname}
%{_libdir}/lib*.a


%changelog
* Fri Jul 21 2017 bb2 <bb2> - 1.3.2-5pclos2017
- rebuild against updates

